Skip to main content
PATCH
/
orgs
/
{org_id}
/
emails
/
identities
/
{identity_id}
Update an Email Identity
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/emails/identities/{identity_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "is_default": true,
  "click_tracking": true,
  "open_tracking": true
}
'
{
  "id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "status": "PENDING",
  "domain": {
    "id": "<string>",
    "domain": "<string>",
    "dkim_status": "PENDING",
    "dkim_tokens": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ],
    "verified_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "is_default": true,
  "click_tracking": true,
  "open_tracking": true,
  "verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

org_id
string
required

The ID of the org

identity_id
string
required

The ID of the email identity

Body

Schema for updating an email identity

name
string

Display name for the identity

Maximum string length: 255
is_default
boolean

Set as the default identity for the org

click_tracking
boolean

Enable or disable click tracking

open_tracking
boolean

Enable or disable open tracking

Response

200 - application/json

An email identity

id
string
required

Unique identifier for the email identity

email
string
required

Email address of the identity

name
string | null
required

Display name for the identity

status
enum<string>
required

Verification status of an email identity

Available options:
PENDING,
VERIFIED,
FAILED
domain
object
required

Linked email domain

is_default
boolean
required

Whether this is the default identity for the org

click_tracking
boolean
required

Whether click tracking is enabled for this identity

open_tracking
boolean
required

Whether open tracking is enabled for this identity

verified_at
string<date-time> | null
required

Timestamp when the identity was verified

created_at
string<date-time> | null
required

Timestamp when the identity was created

updated_at
string<date-time> | null
required

Timestamp when the identity was last updated